# run

abstract fun run()

Executes the build, blocking until it is complete.

#### Since

1.0-milestone-3

#### Throws

UnsupportedVersionException

When the target Gradle version does not support build execution.

UnsupportedOperationConfigurationException

When the target Gradle version does not support some requested configuration option such as withArguments.

UnsupportedBuildArgumentException

When there is a problem with build arguments provided by withArguments.

BuildException

On some failure executing the Gradle build.

BuildCancelledException

When the operation was cancelled before it completed successfully.

GradleConnectionException

On some other failure using the connection.

IllegalStateException

When the connection has been closed or is closing.

abstract fun run(handler: ResultHandler<in Void>)

Launches the build. This method returns immediately, and the result is later passed to the given handler.

If the operation fails, the handler's onFailure method is called with the appropriate exception. See run for a description of the various exceptions that the operation may fail with.

#### Since

1.0-milestone-3

#### Parameters

handler

The handler to supply the result to.

#### Throws

IllegalStateException

When the connection has been closed or is closing.